<ion-view view-title="Chats">
  <ion-nav-buttons side="right">
    <button class="button button-icon icon ion-plus-circled" ng-click="searchModal.show()"></button>
  </ion-nav-buttons>
  <ion-content>
    <ion-list>
      <ion-item angular-ripple class="item-remove-animate item-avatar item-icon-right" ng-if="chats.length > 0" ng-repeat="chat in chats" type="item-text-wrap" ng-click="goToConvo(chat.id, chat.name)">
        <img ng-src="{{chat.face || 'img/system/default-user.png'}}">
        <h2>{{chat.name}}</h2>
        <p>{{chat.lastText}}</p>
        <i class="icon ion-chevron-right icon-accessory"></i>

        <ion-option-button class="button-assertive" ng-click="remove(chat)">
          Delete
        </ion-option-button>
      </ion-item>
      <ion-item ng-if="chats.length === 0">
        <p class="text-center">Add some friends to chat with.</p>
      </ion-item>
    </ion-list>
  </ion-content>

  <!-- Add Friend -->
  <script id="search-user-modal" type="text/ng-template">
    <ion-modal-view>
      <ion-header-bar class="bar-assertive">
        <h1 class="title">Add Friend</h1>
        <div class="buttons">
          <button class="button button-icon icon ion-close-round" ng-click="searchModal.hide()"></button>
        </div>
      </ion-header-bar>

      <ion-content class="padding">
        <div class="list">
          <span class="searchtext">Search By:</span> <br><br>
          <ion-radio class="radio radio-inline radio-primary customRadio" ng-model="search.criteria" ng-value="'full_name'">Name</ion-radio>       
          <ion-radio class="radio radio-inline radio-primary customRadio" ng-model="search.criteria" ng-value="'did'">Dayo ID</ion-radio>
          <label class="item item-input">
            <i class="icon ion-search placeholder-icon"></i>
            <input type="search" placeholder="Search" ng-model="search.text">
          </label>
        </div>

        <div class="card" ng-if="search.results">
          <div class="item item-divider">Search Result ({{search.results.length}})</div>
          <div class="item item-text-wrap">
            <ion-list>
              <ion-item class="item-remove-animate item-avatar item-icon-right" ng-repeat="user in search.results" type="item-text-wrap" ng-click="addFriend(user)">
                <img ng-src="{{user.photo}}" class="search-avatar" alt="team_logo" ng-if="user.photo" width="50" height="50">
                <img src="img/system/default-user.png" class="search-avatar" alt="team_logo" ng-if="!user.photo"  width="50" height="50">
                <h2>{{user.full_name}}</h2>
                <p>{{user.did}}</p>
                <i class="icon ion-person-add icon-accessory"></i>
              </ion-item>
            </ion-list>
          </div>
        </div>
      </ion-content>
    </ion-modal-view>
  </script>
</ion-view>
